サイトのサイト ページ一覧でページを取得する
名前空間: microsoft.graph
重要
Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。
サイト内のサイト ページ リスト [内の sitePage][] [のメタデータ][] を返 [します][]。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | Sites.Read.All、Sites.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | Sites.Read.All、Sites.ReadWrite.All |
HTTP 要求
GET /sites/{site-id}/pages/{page-id}
例
要求
GET /sites/{site-id}/pages/{page-id}
応答
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "2",
"eTag": "75bc70e2-6587-45be-8493-c99a956b2e05,7",
"createdDateTime": "2016-12-06T20:04:40Z",
"lastModifiedDateTime": "2016-12-06T20:05:09Z",
"webUrl": "https://www.contoso.com/sites/Engineering/SitePages/Events.aspx",
"createdBy": {
"user": {
"email": "AdeleV@contoso.com",
"id": "1b37d2e1-5000-4648-b431-7dfa509b5660",
"displayName": "Adele Vance (Marketing Manager)"
}
},
"lastModifiedBy": {
"user": {
"email": "AdeleV@contoso.com",
"id": "1b37d2e1-5000-4648-b431-7dfa509b5660",
"displayName": "Adele Vance (Marketing Manager)"
}
},
"parentReference": {
"id": "eb3bfd48-56f8-4c1e-8312-e58588b22e7c"
},
"contentType": {
"id": "0x0101009D1CB255DA76424F860D91F20E6C411800C9E7033636784C4B88A284B1823C45FD",
"name": "Site Page"
},
"description": "",
"title": "Upcoming Events",
"publishingState": {
"level": "published",
"versionId": "1.0"
},
"webParts": [
{
"type": "rte",
"data": {
"innerHTML": "<p>Here are the team's upcoming events:</p>"
}
},
{
"type": "d1d91016-032f-456d-98a4-721247c305e8",
"data": {
"title": "Events",
"description": "Display upcoming events",
"serverProcessedContent": {
"htmlStrings": {},
"searchablePlainTexts": {
"title": ""
},
"imageSources": {},
"links": {
"baseUrl": "https://www.contoso.com/sites/Engineering"
},
"componentDependencies": {
"layoutComponentId": "8ac0c53c-e8d0-4e3e-87d0-7449eb0d4027"
}
},
"dataVersion": "1.0",
"properties": {
"selectedListId": "032e08ab-89b0-4d8f-bc10-73094233615c",
"selectedCategory": "",
"dateRangeOption": 0,
"startDate": "",
"endDate": "",
"isOnSeeAllPage": false,
"layoutId": "FilmStrip",
"dataProviderId": "Event",
"webId": "0764c419-1ecc-4126-ba32-0c25ae0fffe8",
"siteId": "6b4ffc7a-cfc2-4a76-903a-1cc3686dee23"
}
}
}
]
}
フィードバック
フィードバックの送信と表示